package IO_Fasta01;

use Exporter;
@ISA = (Exporter);
@EXPORT = qw(io_fasta);
    
sub io_fasta{

my $filename = shift;
open DATA, "< $filename" or die "Cannot open $filename in io_fasta $!";

my @ids;
my @seqs;

my $id;
my $seq;
    
while(<DATA>){
    
    if ($_ =~ /^>(.+)/){
        chomp $_;
        $id = $_;
    }
    if ($_ =~ /^\w+/){
        chomp $_;
        $_ =~ s/\s//;
        $seq .= $_;
    }
    if ($_ =~ /^\n$/){
        push @ids, $id;
        push @seqs, $seq;
        $id = '';
        $seq = '';
    }

}

close DATA;
return (\@ids,\@seqs);

}

return 1;

