package Calc_Dist01;

use Exporter;
@ISA = (Exporter);
@EXPORT = qw(calc_dist);

use NW01;
    
sub calc_dist{

my $ref_seqs = shift;
my @seqs = @{$ref_seqs};
my $ref_rand_seqs = shift;
my @rand_seqs = @{$ref_rand_seqs};

my @d_matrix;
my $loop_n =1;
for (my $i=0; $i<=$#seqs; $i++){
    for (my $j=0; $j<=$#seqs; $j++){
        if ($i == $j){
            $d_matrix[$i][$j] = 0;
        }elsif($i < $j){
            $d_matrix[$i][$j] = -1;
        }else{
            my $Sobs = &nw($seqs[$i],$seqs[$j]); # NW.pm
            my $Smax_q = &nw($seqs[$i],$seqs[$i]);
            my $Smax_d = &nw($seqs[$j],$seqs[$j]);
            my $Smax = ($Smax_q+$Smax_d)/2;
            my $Srand = &nw($rand_seqs[$i],$rand_seqs[$j]);
            $Srand = 0 if ($Srand < 0); # Need modification
            if ($Sobs<0||$Smax<0){ # Need modification
                $d_matrix[$i][$j] = 1;
                next;
            }
            my $a_log = ($Sobs-$Srand)/($Smax-$Srand);
            my $distance = -1*(log($a_log)/log(2));
            $d_matrix[$i][$j] = $distance;
            print "[$loop_n] $distance\n" unless ($i==0);
            $loop_n++;
        }
    }
}

for (my $i=0; $i<=$#seqs; $i++){
    for (my $j=0; $j<=$#seqs; $j++){
        if($i > $j){
            $d_matrix[$j][$i] = $d_matrix[$i][$j];
        }
    }
}

print "\n\n";
return \@d_matrix;

}

return 1;